classification
Title: sys.path disappears at shutdown
Type: behavior Stage:
Components: Interpreter Core Versions: Python 3.4
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: pitrou Nosy List: Arfrever, brett.cannon, eric.snow, ncoghlan, pitrou, serhiy.storchaka
Priority: normal Keywords:

Created on 2014-02-11 19:25 by pitrou, last changed 2014-12-08 15:36 by brett.cannon. This issue is now closed.

Messages (4)
msg211002 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-02-11 19:25
Original changeset in 1998:
http://hg.python.org/cpython/rev/185c1d47ce7a

Stated reason is to prevent new imports. Well, mission accomplished: this is one of the reasons for the problems in issue19255 :)
msg232276 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-12-07 19:00
Since issue #19255 is closed is this still an issue, Antoine?
msg232278 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-12-07 19:12
I don't know. Not for issue #19255 obviously, so we can probably close :-)
msg232306 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-12-08 15:36
That's enough reason for me to close this as out of date. =)
History
Date User Action Args
2014-12-08 15:36:51brett.cannonsetstatus: open -> closed
resolution: out of date
messages: + msg232306
2014-12-07 19:12:25pitrousetmessages: + msg232278
2014-12-07 19:00:29brett.cannonsetassignee: pitrou
messages: + msg232276
2014-12-07 03:34:07Arfreversetnosy: + Arfrever
2014-02-11 19:25:40pitroucreate